/*
---- Typography system

      01 FONT SIZE SYSTEM (px)
      10 / 12 / 14 / 16 / 18 / 20 / 24 / 30 / 36 / 44 / 52 / 62 / 74 / 86 / 98
-Font weights: 
Default 400

-Line heights:
-Default : 1


-- 03 Colors
-Primary #e67e22 #e98b38
-Tints: #fdf3eb
-Shades: #d27d32
-Accents:
-Greys: #555
#333


---Shadows

--- Border-radius

--- White space

--- SPACING SYSTEM (px)
 2 / 4 / 8 / 12 / 16 / 24 / 32 / 48 / 64 / 80 / 96 / 128

*/

* {
  padding: 0;
  margin: 0;
  box-sizing: border-box;
}

html {
  font-size: 62.5%;
}

body {
  font-family: "Rubik", sans-serif;
  line-height: 1;
  font-weight: 400;
  color: #555;
}

.section-hero {
  background-color: #fdf3eb;
  padding: 4.8rem 0 9.6rem 0;
}

.hero {
  max-width: 130rem;
  margin: 0 auto;
  padding: 0 3.2rem;
  display: grid;
  grid-template-columns: 1fr 1fr;
  gap: 9.6rem;
  align-items: center;
}

.heading-primary,
.heading-secondary,
.heading-tertiary {
  font-weight: 700;
  color: #333;
  letter-spacing: -0.5px;
}

.hero-primary {
  font-size: 5.2rem;
  line-height: 1.05;
  margin-bottom: 3.2rem;
}

.heading-secondary {
  font-size: 4.4rem;
  line-height: 1, 2;
  margin-bottom: 9.6rem;
}

.heading-tertiary {
  font-size: 3rem;
  line-height: 1.2;
  margin-bottom: 3.2rem;
}

.subheading {
  display: block;
  font-size: 1.6rem;
  font-weight: 500;
  color: #d27d32;
  text-transform: uppercase;
  margin-bottom: 1.6rem;
  letter-spacing: 0.75px;
}

.hero-description {
  font-size: 2rem;
  line-height: 1.6;
  margin-bottom: 4.8rem;
}

.btn:link,
.btn:visited {
  display: inline-block;
  font-size: 1.8rem;
  font-weight: 600;
  text-decoration: none;
  padding: 1.6rem 3.2rem;
  border-radius: 9px;
  transition: background-color 0.3s;
}

.btn--full:link,
.btn--full:visited {
  background-color: #e98b38;
  color: #fff;
}

.btn--full:hover,
.btn--full:active {
  background-color: #d27d32;
  color: #fff;
}

.btn--outline:link,
.btn--outline:visited {
  background-color: #fff;
  color: #555;
}
.btn--outline:hover,
.btn--outline:active {
  background-color: #fdf3eb;
  color: #555;
  box-shadow: inset 0 0 0 3px #fff;
}

.hero-img {
  width: 100%;
}

.margin-right-sm {
  margin-right: 1.6rem;
}

.delivered-days {
  display: flex;
  align-items: center;
  margin-top: 8rem;
  gap: 1.6rem;
}

.delivered-imgs {
  display: flex;
}

.delivered-imgs img {
  height: 6.4rem;
  width: 6.4rem;
  border-radius: 30%;
  border: 3px solid #fef9f5;
}
.delivered-imgs img:last-child {
  margin: 0;
}

.delivered-text {
  font-size: 2rem;
  font-weight: 600;
}

.delivered-text span {
  color: #d27d32;
  font-weight: 700;
}

.header {
  display: flex;
  justify-content: space-between;
  align-items: center;
  background-color: #fdf3eb;
  height: 9.6rem;
  padding: 0 4.8rem;
}

.logo {
  display: flex;
  align-items: center;
  height: 2.2rem;
}

.logo-picture {
  height: 4.4rem;
  width: 4.4rem;
}

.logo-text {
  color: #d27d32;
  font-size: 2.4rem;
  font-weight: 700;
  display: inline-block;
  margin-left: 1.2rem;
}

.main-nav-list {
  list-style: none;
  display: flex;
  align-items: center;
  gap: 3.2rem;
}

.main-nav-link:link,
.main-nav-link:visited {
  display: inline-block;
  text-decoration: none;
  color: #333;
  font-weight: 500;
  font-size: 1.8rem;
  transition: all 0.3s;
}

.main-nav-link:hover,
.main-nav-link:active {
  color: #d27d32;
}

.main-nav-link.nav-cta:link,
.main-nav-link.nav-cta:visited {
  padding: 1.2rem 2.4rem;
  border-radius: 9px;
  color: #fff;
  background-color: #e98b38;
}

.main-nav-link.nav-cta:hover,
.main-nav-link.nav-cta:active {
  background-color: #e98b38;
}

.section-how {
  padding: 9.6rem 0;
}

.grid {
  display: grid;
  row-gap: 9.6rem;
  column-gap: 6.4rem;
}

.grid--center-v {
  align-items: center;
}

.grid--2-cols {
  grid-template-columns: repeat(2, 1fr);
}

.step-img {
  width: 65%;
}

.step-number {
  font-size: 8.6rem;
  font-weight: 600;
  color: #ddd;
  margin-bottom: 1.2rem;
}

.container {
  max-width: 120rem;
  padding: 0 3.2rem;
  margin: 0 auto;
}

.grid--3-cols {
  grid-template-columns: repeat(3, 1fr);
}

.grid--4-cols {
  grid-template-columns: repeat(4, 1fr);
}

.step-description{
font-size: 1.8rem;
line-height: 1.8;
}

.step-img-box::before {
  content: "";
  display: block;
  width: 80%;
  padding-bottom: 80%;
  background-color: #fdf3eb;
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%,-50%);
  border-radius: 40%;
  z-index: -1;
}

/* .step-img-box::after {
  width: 75%;
  padding-bottom: 75%;
  background-color: #fbe8d7;
  z-index: -1;

} */




.step-img-box {
  display: flex;
  align-items: center;
  justify-content: center;
  position: relative;
}